Summary: Netscape Navigator internet browser
Name: netscape-navigator
Version: 4.51
%define srcver v451
Release: 1
Group: X11/Applications/Networking
Copyright: Commercial
Url: http://www.netscape.com
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.netscape.com/pub/communicator/%{version}/english/unix/unsupported/linux20_glibc2/navigator_standalone/navigator-%{srcver}-export.x86-unknown-linux2.0.tar.gz
Buildroot: /var/tmp/%{name}-root
ExclusiveArch: i386


%description
Netscape Navigator is the industry-leading web browser. It supports
the latest HTML standards, Java, and JavaScript.


%prep
%setup -c -q
mv    navigator*/* .
rmdir navigator*


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}

# Expand *.nif
for i in *.nif; do 
	tar -C $RPM_BUILD_ROOT/usr/lib/%{name}-%{version} -zxf $i
done

# Move over *.jar
mv *.jar $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/java/classes

# Remove executable and plugin dynamically linked against Motif
rm -f $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/*dynMotif*

# Generate registry for ASD to work, and also move vreg over
eval `egrep ^BLDVERS ns-install`
echo "Navigator,$BLDVERS,/usr/lib/%{name}-%{version}" > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/registry /tmp/infile
rm -f /tmp/infile
mv vreg $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}

# Generate wrapper script, and link
cat > $RPM_BUILD_ROOT/usr/bin/%{name}-%{version} <<EOF
#!/bin/sh
MOZILLA_HOME=/usr/lib/%{name}-%{version}
export MOZILLA_HOME
MOZILLA_NO_ASYNC_DNS=True
export MOZILLA_NO_ASYNC_DNS
#
exec \$MOZILLA_HOME/netscape "\$@"
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT/usr/bin/navigator-%{version}


%files
%defattr(-,root,root)
/usr/bin/%{name}-%{version}
/usr/bin/navigator-%{version}
/usr/lib/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT
